// file name: pow_numbers.sv 

import pystim_pkg::*;

module hello_world();
    typedef pystim py;

    initial begin
        py::initialize_interpreter();
        py::print(py::str_("Hello world."));
        py::finalize_interpreter();
    end

    function void hello_python();
        automatic py_dict globals = py::globals();
        automatic py_dict locals = py_dict::create_empty();

        locals.set(py::str_("name"),py::str_("Python"));
        py::exec("print('Hello from {}!'.format(name))", globals, locals);
    endfunction
    
endmodule